Subject: [Nfvrg] Comments on draft-irtf-nfvrg-gaps-network-virtualization

From: Kuhn Nicolas <[email-masked]>
Date: Fri, 12 Aug 2016 08:31:11 +0000

Dear all,

Thank you for providing this document. IMHO, the state-of-the art is clear and provides the necessary information
to fully understand the document.

I have some minor comments (mostly related to the presentation) and a suggestion for a supplementary open research challenge.

- Section 4.2 : I am not a native speaker, but Service Guarantees does not ring a bell.
I would propose something like "Guaranteeing quality-of-service"
I would be worth providing a definition or examples at the beginning of this section.

"
   An important difference between NFV and traditional Cloud computing
   comes from the very strict requirements posed by NFV in terms of
   performance, stability and consistency.  Although there are some
   tools and mechanisms to improve this, such as Enhanced Performance
   Awareness (EPA), SR-IOV, NUMA, DPDK, etc, these are still unsolved
   challenges.  [I-D.natarajan-nfvrg-containers-for-nfv] analyzes
   different virtualization technologies that could be used, instead of
   just using VMs.
"
The objective of this paragraph is unclear to me and should be said more explicitly.
The issue is guaranteeing a network quality-of-service, which is less of an issue for
"traditional cloud computing". One open research issue is finding out technologies
that are different from VM and more suitable for dealing with network functionalities.

"
   While the IPPM WG is a long running WG
   that started in 1997 it does not have a charter item or active drafts
   related to the topic of network virtualization.
"
Should the IPPM WG provide tools to evaluate enable metrics evaluation whatever the
use case?
The network virtualization is a technology and the NFVRG WG could use
IPPM metrics to evaluate the quality-of-service.

"
   Related to the need of diagnostics tools, there is also a need in
   terms of predictive analysis allowing for reaction before an
   operation anomaly takes place.
"
This sentence is not clear to me.

People usually "jump around" in RFCs, so providing a high level view of this section
would help, such as:
4.2.1 Virtualization technologies
4.2.2 Metrics for NFV charaterization
4.2.3 Predictive analysis
4.2.4 Portability

- Section 4.3 :
I am not sure whether "energy efficiency" is the only performance related challenge
for the network virtualization.
There are many things that can be improved with network virtualization.
We could imagine "latency reduction", "improved link usage", etc.
I would propose to have a more general section:
"Performance improvement", and this section could speak about energy efficiency as
one of the things that can be improved.
In short, section 4.2 could speak about "guaranteeing the same performance", while
section 4.3 could be on "improving them". In this view, the discussion on the performance
evaluation in section 4.2 could be done in a dedicated section, or 4.3 merged into 4.2.

- section 4.5 :
What is "tactile Internet" ?
You could also mention that network slicing is a key for introducing new actors in existing
market at low cost - by letting new players rent "blocks" of capacity, if this new market
provides performance that are adequate with the application needs.
E.g. broadcasting updates to many sensors with satellite broadcasting capabilities.

- section 4.X :
I think that one other research challenge for the NFV is to be a key driver in hybriding
networks for better benefits from the various radios technologies. By deploying the VNF with
the adequate parameterization, it could be easier to assess the mobile(LTE)/fix(WiFi)
or the broadband/broadcast paradigms. This induces discussions on aggregation networks in
which the VNF would be deployed. This efficient usage of the available radio access
technologies, such as WiFi, LTE and satellite, is also one of the objectives of the 5G.
This discussion may be worth putting in the "network slicing" section ?

I hope that this helps.

Kind regards,

Nico